.header {
    border-bottom: 1px solid $gray04;
    background-color: $white;
    position: relative;
    position: fixed;
    width: 100%;
    z-index: 3;

    .header__navigation {
        display: flex;
        align-items: center;
        padding: 0 30px;
        border-right: 1px solid $gray04;
        
        .header__logo {
            padding-right: 32px;

            .mobile__logo {
                display: none;
            }
        }

        .header__menu {
            border-right: 1px solid $gray04;
            border-left: 1px solid $gray04;
            padding: 30px 50px 30px 50px;
            display: flex;
            justify-content: space-between;
            max-width: 100%;
            width: 100%;

            .menu__item {
                @include menuItem;
            }

            .dropdown__item {
                position: relative;
                cursor: pointer;
                

                &::after {
                    content: url('../img/icon/arrow-dropdown.svg');
                }

                &:hover {
                    &::after {
                        content: url('../img/icon/arrow-dropdown-active.svg');
                    }
                }

                .dropdown-list {
                    display: none;
                    position: absolute;
                    width: 150px;
                    background-color: white;
                    padding: 15px 25px;
                    z-index: -1;
                    top: 52px;
                    left: 50%;
                    transform: translateX(-50%);
                    border: 1px solid $gray04;
                    transition: 0.4s ease;

                    .dropdown-link {
                        display: block;
                        color: $grayText;
                        transition: 0.4s ease;

                        &:not(:last-child) {
                            margin-bottom: 10px;
                        }
                        
                        &:hover {
                            color: $blueHover;
                        }
                    }
                }

                .dropdown-list--show {
                    display: block;
                    transition: 0.4s ease;
                    z-index: 2;
                }
            }

            .dropdown__item--active {
                color: $blueHover;
                &::after {
                    content: url('../img/icon/arrow-dropdown-active.svg');
                }
            }
        }

        .header__favorites {
            position: relative;
            @include headerButton;

            .quantity-nav {
                @include quantityNav;
            }
        }

        .header__basket {
            position: relative;
            @include headerButton;
            
            .quantity-nav {
                @include quantityNav;
            }
        }

        .header__search {
            display: flex;
            margin-left: 30px;
            max-width: 270px;
            width: 100%;
            
            .search {
                @include search; 
            }
        }

        .header__phone {
            display: none;
            @include headerButton;
        }
    }
}

.main {
    background-color: $gray03;

    .main__wrapper {
        display: flex;
        position: relative;
        
        .sidebar__navigation__wrapper {
            position: fixed;
            width: 260px;
            top: 70px;
            height: calc(100% - 100px);
            overflow-y: scroll;

            &::-webkit-scrollbar {
                height: 0;
                width: 0;
                background-color: transparent;
            }

            &::-webkit-scrollbar-thumb {
                background-color: transparent;
                height: 0;
                width: 0;
            }
        }

        .sidebar__navigation {
            border-right: 1px solid $gray04;
            border-left: 1px solid $gray04;
            background-color: $white;
            height: auto;

            .user__card {
                background-color: $gray03;
                border-radius: 16px;
                display: flex;
                align-items: center;
                // width: 220px;
                padding: 20px;
                transition: 0.4s ease;
                cursor: pointer;
                gap: 20px;
                position: relative;
                margin: 40px 0;

                &:hover {
                    background-color: $gray02;

                    .user__info {
                        .full-name  {
                            color: $blueHover;
                        } 
                    }
                }

                .message-quantity {
                    @include messageQuantity;
                    background-color: $green;
                    position: absolute;
                    top: -10px;
                    right: 10px;
                }

                .user__image {
                    width: 50px;
                    border: 4px solid $blue;
                    border-radius: 100%; 
                }

                .user__info {
                    .greetings {
                        @include greetings;
                    }
    
                    .full-name {
                        @include fullName;
                    }
                }
            }

            .accordion__menu {
                padding-bottom: 40px;
                
                .accordion {
                    overflow: hidden;
            
                    &:not(:last-child) {
                        margin-bottom: 10px;
                    }
            
                    .accordion-input {
                        position: absolute;
                        opacity: 0;
                        z-index: -1;
                    }
            
                    .accordion-input:checked {
                        + .accordion-label {
                            background-color: $gray02;
                
                            .label-title {
                                color: $blueHover;
                            }
                
                            &::after {
                                content: url('../img/icon/food-arrow-hover.svg');
                                top: 35%;
                                transform: rotate(90deg);
                            }
                        }
                
                        ~ .accordion-content {
                            max-height: 100vh;
                            padding-top: 16px;
                        }
                    }
            
                    .accordion-label {
                        border-radius: 10px;
                        display: flex;
                        justify-content: start;
                        align-items: center;
                        background-color: $gray03;
                        transition: 0.4s ease;
                        padding: 20px;
                        position: relative;
                        cursor: pointer;
            
                            .label-icon {
                                margin-right: 15px;
                            }
            
                            .label-title {
                                @include labelTitle; 
                            }
                            
                       
                        &:hover {
                            background-color: $gray02;
            
                            .label-title {
                                color: $blueHover;
                            }

                            &::after {
                                content: url('../img/icon/food-arrow-hover.svg');
                            }
                        }
            
                        &::after {
                            content: url('../img/icon/food-arrow.svg');
                            position: absolute;
                            right: 24px;
                            top: 50%;
                            transform: translateY(-50%);
                            transition: 0.4s ease;
                        }
                    }
            
                    .accordion-content {
                        max-height: 0;
                        padding: 0;
                        background: $white;
                        transition: all .35s;
                        
                        .sub-accordion {
                            overflow: hidden;
                            border-bottom: 1px solid $gray04;
            
                            &:not(:last-child) {
                                margin-bottom: 20px;
                                
                            }
            
                            .sub-accordion-input {
                                position: absolute;
                                opacity: 0;
                                z-index: -1;
                                
                            }
                
                            .sub-accordion-content {
                                max-height: 0;
                                padding: 0 0 0 30px;
                                background: $white;
                                transition: all .35s;
                                display: flex;
                                flex-direction: column;
            
                                .sub-accordion-text {
                                    @include subAccordionText; 
                                }
                            }
                
                            .sub-accordion-input:checked {
                                + .sub-accordion-label {
                                    .label-subtitle {
                                        color: $blueHover;
                                    }
                                }
            
                                ~ .sub-accordion-content {
                                    max-height: 100vh;
                                    padding: 0 0 0 30px;
                                }
                            }
                
                            .sub-accordion-label {
                                cursor: pointer;
            
                                .label-subtitle {
                                    @include labelSubTitle;
                                }
                            } 
                        }
                    }
                }
            }

            .mobile-menu__phone {
                @include mobileMenuPhone;
                display: inline-block;
            }

            .mobile-callback__button {
                display: block;
                width: 100%;

                .mobile-callback__icon {
                    display: none;
                }
            }
        }

        .mobile__menu {
            display: none;
            position: fixed;
            background-color: $white;
            z-index: 4;
            height: 100%;
            border-right: 1px solid $gray04;
            -webkit-box-shadow: 4px 4px 8px 0px rgba(34, 60, 80, 0.2);
            -moz-box-shadow: 4px 4px 8px 0px rgba(34, 60, 80, 0.2);
            box-shadow: 4px 4px 8px 0px rgba(34, 60, 80, 0.2);
            top: 81px;
            transition: 0.4s ease;

            .mobile-menu__navigation {
                display: flex;
                flex-direction: column;

                .mobile-menu__item {
                    @include mobileMenuItem;
                }

                .mobile-menu__accordion {
                    margin-bottom: 30px;

                    .mobile-menu-input {
                        position: absolute;
                        opacity: 0;
                        z-index: -1;
                    }
            
                    .mobile-menu-input:checked {
                        ~ .mobile-menu-content {
                            max-height: 100vh;
                            padding-top: 30px;
                        }

                        ~ .mobile-menu-label {
                            .label-title {
                                @include mobileMenuItem;

                                &::after {
                                    content: url('../img/icon/arrow-dropdown-active.svg');
                                   
                                } 
                            }
                        }
                    }
            
                    .mobile-menu-label {
                        transition: 0.4s ease;
                        position: relative;
                        cursor: pointer;
            
                        .label-title {
                            @include mobileMenuItem;

                            &::after {
                                content: url('../img/icon/arrow-dropdown.svg');
                                padding-left: 5px;
                            }
                            
                        }
                    }

                    .mobile-menu-content {
                        display: flex;
                        flex-direction: column;
                        max-height: 0;
                        overflow: hidden;
                        padding: 0;
                        transition: 0.4s ease;

                        .dropdown-link {
                            @include mobileDropdown;
                            padding-left: 10px;

                            &:not(:last-child) {
                                margin-bottom: 15px;
                            }

                        }
                    }

                }

                .mobile-menu__phone {
                    @include mobileMenuPhone;
                }
            }
        }

        .main__content {
            .section-slider__wrapper {
                section:first-child {
                    margin-top: 0;
                }

                @include background-linear-gradient;
            }

            .section__banner {
                margin-top: 175px;
                position: relative;

                .banner__slider {
                    margin-right: -70px;
                    
                    .banner__list {
                        .banner__item {
                            width: 860px !important;
                            width: 100%;
                            height: 280px;
                            background-repeat: no-repeat;
                            background-position: center;
                            background-size: cover;
                            padding: 50px;
                            border-radius: 10px;
    
                            .slide-info {
                                display: flex;
                                align-items: center;
                                gap: 20px;
                                margin-bottom: 15px;
    
                                .slide-sale {
                                    @include slideSale;
                                }
    
                                .slide-price {
                                    @include slidePrice;
                                }
                            }
    
                            .slide-title {
                                @include slideTitle;
                                margin-bottom: 5px
    
                            }
    
                            .slide-description {
                                @include slideDescription;
                                margin-bottom: 30px;
                            }

                        }  
                    }
                }

                .banner__slider-pagination {
                    @include bannerSliderPagination;

                    .swiper-pagination-bullet {
                        @include swiperPaginationBullet;
                    }
                    
                    .swiper-pagination-bullet-active {
                        @include swiperPaginationBulletActive; 
                    }
                }
            }

            .description__block {
                display: grid;
                grid-template-columns: repeat(4, auto);
                margin-top: 50px;
               
                .description__item {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    background-color: $white;
                    overflow: overlay;
                    gap: 20px;
                    padding: 40px;

                    &:first-child {
                        border-top-left-radius: 10px;
                        border-bottom-left-radius: 10px;
                    }

                    &:last-child {
                        border-top-right-radius: 10px;
                        border-bottom-right-radius: 10px;
                    }

                    &:not(:last-child) {
                        border-right: 1px solid $gray04; 
                    }

                    .description__text {
                        @include descriptionText;
                    }
                }
            }

            .section__showcase {
                .showcase__list {
                    display: grid;
                    grid-template-columns: repeat(auto-fill, minmax(210px, 1fr)); 
                    gap: 35px;

                    .showcase__item {
                        width: auto;
                        height: auto;
                        padding-top: 20px;
                        padding-bottom: 30px;
                        background-color: $white;
                        text-align: center;
                        border-radius: 10px;
                        overflow: overlay;
                        cursor: pointer;
                        transition: 0.4s ease;

                        .showcase__image {
                            width: auto;
                            transition: 0.4s ease;
                        }

                        .showcase__text {
                            transition: 0.4s ease;
                            @include showcaseText;
                        }

                        &:hover {
                            box-shadow: 0px 30px 30px -15px rgba(21, 44, 55, 0.1);

                            .showcase__image {
                                scale: 1.1;
                            }

                            .showcase__text {
                               color: $blueHover;
                            }
                        }
                    }
                }
            }

            .section__recipes {
                .section__title-wrapper {
                    @include sectionTitleWrapper;

                    .recipes__button {
                        @include recipesButton;
                    }
                }

                .recipes__slider {
                    .recipes__list {
                        .recipes__item {
                            max-width: 310px;
                            width: 100%;
                            height: 190px;
                            padding: 30px;
                            background-repeat: no-repeat;
                            background-size: cover;
                            display: flex;
                            align-items: end;
                            border-radius: 10px;
                            position: relative;
                            overflow: hidden;

                            .blackout-background {
                                @include blackoutBackground;
                            }

                            &:hover {
                                box-shadow: 0px 30px 30px -15px rgba(21, 44, 55, 0.1);

                                .blackout-background {
                                    opacity: 0.8;
                                     
                                }
                            
                                .recipes__item-wrapper {
                                    bottom: 0;

                                    .recipes__text {
                                        -webkit-line-clamp: 3;
                                        line-clamp: 3;
                                    }
                                }
                            }

                            .recipes__item-wrapper {
                                z-index: 2;
                                position: relative;
                                bottom: -80px;
                                transition: 0.4s ease;

                                .recipes__text {
                                    @include recipesText;
                                }
                            }

                        }
                    }
                }

                .recipes__slider-pagination {
                    @include productSliderPagination; 

                    .swiper-pagination-bullet {
                        @include swiperPaginationBullet;
                    }
                    
                    .swiper-pagination-bullet-active {
                        @include swiperPaginationBulletActive; 
                    }
                }
            }

            .section__articles {
                .section__title-wrapper {
                    @include sectionTitleWrapper;

                    .article__button {
                        @include articleButton;
                    }
                }

                .articles__slider {
                    .articles__list {
                        .articles__item {
                            max-width: 370px;
                            width: 100%;
                            background-color: $white;
                            border-radius: 10px;
                            transition: 0.4s ease;


                            .articles__image {
                                width: 100%;
                                border-top-left-radius: 10px;
                                border-top-right-radius: 10px;
                            }

                            .articles__content {
                                padding: 30px;

                                .articles__title {
                                    @include articlesTitle; 
                                }
    
                                .articles__text {
                                    @include articlesText; 
                                }
                            }

                            &:hover {
                                box-shadow: 0px 30px 30px -15px rgba(21, 44, 55, 0.1);

                                .articles__content {
                                    .articles__title  {
                                        color: $blueHover;
                                    }
                                }
                            }
                        }
                    }
                }

                .articles__slider-pagination {
                    @include productSliderPagination;

                    .swiper-pagination-bullet {
                        @include swiperPaginationBullet;
                    }
                    
                    .swiper-pagination-bullet-active {
                        @include swiperPaginationBulletActive; 
                    }
                }
            }

            .section__partners {
                .partners__slider  {
                    .partners__list {
                        .partners__item {
                            background-color: $white;
                            border-radius: 10px;
                            max-width: 150px;
                            width: 100%;
                            padding: 20px 30px;
                            transition: 0.4s ease;
                            cursor: pointer;

                            .partner__image {
                                width: 100%;
                            }

                            &:hover {
                                box-shadow: 0px 30px 30px -15px rgba(21, 44, 55, 0.1);
                            }
                        }
                    }
                }

                .partners__slider-pagination {
                    @include bannerSliderPagination;

                    .swiper-pagination-bullet {
                        @include swiperPaginationBullet;
                    }
                    
                    .swiper-pagination-bullet-active {
                        @include swiperPaginationBulletActive; 
                    }
                }
            }

            .section__about {
                .about__wrapper {
                    display: flex;
                    align-items: center;
                    gap: 40px;

                    .about__background {
                        background-image: url('../img/background/about-1.png');
                        background-position: center;
                        background-repeat: no-repeat;
                        background-size: cover;
                        width: 460px;
                        height: 360px;
                        border-radius: 10px;
                    }

                    .about__content {
                        width: 70%;

                        .about__title {
                            @include aboutTitle;
                        }

                        .about__text {
                            @include aboutText;
                        }

                        .about__button {
                            @include aboutButton;
                        }
                    }
                }
            }
        }

        .about-company__content {
            .section__about {
                .banner__block {
                    background-image: url('../img/background/about-banner.png');
                    background-repeat: no-repeat;
                    background-position: center;
                    height: 210px;
                    max-width: 100%;
                    border-radius: 10px;
                    padding: 45px 50px;
                    display: flex;
                    align-items: end;

                    .banner__text {
                        @include bannerText;
                    }
                }

                .description__block {
                    @include descriptionBlock; 
                }
            }

            .section__principles {
                @include background-linear-gradient;

                .principles__wrapper {
                    display: grid;
                    grid-template-columns: 1fr 1fr 1fr;
                    gap: 40px;

                    .principles__item {
                        display: flex;
                        align-items: center;
                        gap: 20px;
                        padding: 30px 36px;
                        background-color: $white;
                        border-radius: 10px;

                        .principles__text {
                            @include principleText;
                        }
                       
                        &:last-child {
                            background-image: url('../img/background/principles.png');
                            background-repeat: no-repeat;
                            background-position: center;
                            background-size: cover;
                            align-items: center;

                            .principles__item-wrapper {
                                display: flex;
                                align-items: center;
                        
                                .principles__call {
                                    @include principlesCall;
                                    flex: 0 1 50%;
                                }
                            }
                        }
                    }
                }
            }

            .section__premium {
                .premium__text-wrapper {
                    .premium__text {
                        @include premiumText;
                    }
                }

                .principles__slider {
                    margin-bottom: 60px;

                    .principles__list {
                        .principles__item {
                            max-width: 335px;
                            height: 260px;
                            background-repeat: no-repeat;
                            background-size: cover;
                            background-position: center;
                            border-radius: 10px;
                            position: relative;
                            cursor: pointer;

                            .blackout-background {
                                @include blackoutBackground;
                            }

                            .cross-hover {
                                @include crossHover;
                            }

                            &:hover {
                                .cross-hover {
                                    opacity: 1;
                                }

                                .blackout-background {
                                    opacity: 0.8;  
                                }
                            }
                        }
                    }
                }

                .premium__schedule {
                    display: flex;
                    justify-content: space-between;
                    margin-bottom: 70px;

                    .premium__list {
                        flex: 0 1 45%;

                        .premium__list-title {
                            @include premiumListTitle;
                        }

                        .premium__item {
                            @include premiumItem;
                            @include markerPoint; 
                        }
                    }
                }

                .ceo__block {
                    background-color: $white;
                    display: flex;
                    align-items: center;
                    padding: 40px 50px;
                    gap: 45px;
                    border-radius: 10px;
                    margin-bottom: 60px;

                    .ceo__photo {
                        border: 10px solid $yellow01;
                        border-radius: 100%;
                    }

                    .ceo__blockquote {
                        @include ceoBlockquote;
                    }

                    .ceo__cite {
                        @include ceoCite;
                    }
                }

                .choose__block {
                    padding: 40px;
                    background-color: $gray02;
                    display: flex;
                    gap: 30px;
                    margin-bottom: 100px;

                    .choose__text {
                        @include chooseText;
                    }
                }
            }
        }

        .basket__content {
            .section__basket {
                .basket__wrapper {
                    display: flex;
                    justify-content: space-between;

                    .clear-list__button {
                        @include clearListButton;
                    }
                }

                .basket-content__wrapper {
                    display: flex;
                    justify-content: space-between;
                    gap: 40px;

                    .basket-list {
                        width: 100%;
                    }

                    .basket__aside {
                        max-width: 335px;
                        width: 100%;

                        .information-order {
                            background-color: $white;
                            border-radius: 10px;
                            margin-bottom: 70px;
                        
                            .information-order__title {
                                @include informationOrderTitle;
                            }

                            .information-order__description {
                                padding: 30px;
                                border-bottom: 1px solid $gray02;

                                .order-description__item {
                                    display: flex;
                                    justify-content: space-between;
                                    align-items: center;
                                    position: relative;
                                    
                                    &:before {
                                        position: absolute;
                                        content: '';
                                        height: 1px;
                                        width: 100%;
                                        background-color: $gray02;
                                        top: 50%;
                                        transform: translateY(-50%);
                                    }

                                    &:not(:last-child) {
                                        margin-bottom: 10px;
                                    }

                                    .order-description__name {
                                        @include orderDescriptionName;
                                    }

                                    .order-description__amount {
                                        @include orderDescriptionAmount;
                                    }
                                }
                            }

                            .information-order__order {
                                padding: 30px;
                            }
                        }

                        .information-additional {
                            margin-bottom: 70px;

                            .information-additional__item {
                                display: flex;
                                gap: 30px;
                                align-items: center;
                                padding: 25px 30px;
                                background-color: $white;
                                border-radius: 10px;

                                &:not(:last-child) {
                                    margin-bottom: 30px;
                                }

                                .information-additional__text {
                                    @include informationAdditionalText;
                                }
                            }
                        }

                        .information-service {
                            display: flex;
                            flex-direction: column;
                            justify-content: space-between;
                            background-color: $white;
                            padding: 30px;
                            border-radius: 10px;

                            .information-service__image {
                                width: 100%;
                            }
                            

                            .information-service__title {
                                @include informationServiceTitle;
                            }
                            
                            .information-service__text {
                                @include informationServiceText;
                            }

                            .information-service__button-wrapper {
                                padding-top: 30px;
                                border-top: 1px solid $gray02;
                            }
                        }
                    }
                }   
            }

            .section__products {
                @include background-linear-gradient;
            }
        }

        .caralog__content {
            .catalog__wrapper {
                display: flex;
                justify-content: space-between;

                .filters__button {
                    display: none;
                }
            }

            .catalog-content__wrapper {
                display: flex;
                justify-content: space-between;
                gap: 40px;
                margin-bottom: 70px;

                .catalog__list {
                    display: grid;
                    grid-template-columns: 1fr 1fr 1fr;
                    gap: 40px;
                }

                .filters__aside {
                    max-width: 335px;
                    width: 100%;
                    transition: 0.4s ease;

                    .filter__search-wrapper {
                        position: relative;
                        margin-bottom: 32px;

                        &:before {
                            position: absolute;
                            content: url('../img/icon/search.svg');
                            right: 20px;
                            top: 50%;
                            transform: translateY(-50%);
                        }
                        .filter__search {
                            @include filterSearch;
                        }
                    }

                    .filter__list {
                        background-color: $white;
                        border-radius: 10px;
                        
                        .filter__item {
                            .filter__title {
                                @include filterTitle;
                            }

                            .accordion-filter__list {
                                .accordion-filter__item {
                                    padding: 30px 30px 0 30px;
                                    margin-bottom: 30px;
                                    overflow: hidden;
                                    border-top: 1px solid $gray04;

                                    .accordion-filter-input {
                                        position: absolute;
                                        opacity: 0;
                                        z-index: -1;
                                    }

                                    .accordion-filter-input:checked {
                                        + .accordion-filter-label {
                                            
                                            &::after {
                                                content: url('../img/icon/filter-arrow-hover.svg');
                                                top: 5%;
                                                transform: rotate(90deg);
                                            }
                                        }
                                
                                        ~ .accordion-filter-content {
                                            max-height: 100vh;
                                            padding: 16px 0;
                                        }
                                    }

                                    .accordion-filter-label {
                                        display: flex;
                                        justify-content: space-between;
                                        transition: 0.4s ease;
                                        position: relative;
                                        cursor: pointer;

                                        &:hover {
                                            &::after {
                                                content: url('../img/icon/filter-arrow-hover.svg');
                                            }
                                        }

                                        &::after {
                                            content: url('../img/icon/filter-arrow.svg');
                                            position: absolute;
                                            right: 10px;
                                            top: 50%;
                                            transform: translateY(-50%);
                                            transition: all .35s;
                                        }

                                        .accordion-filter-label-title {
                                            @include accordionFilterLabelTitle;
                                        }
                                    }

                                    .accordion-filter-content {
                                        max-height: 0;
                                        padding: 0;
                                        transition: all .35s;

                                        .filter-form {
                                            .filter-form-group {
                                                &:not(:last-child) {
                                                    margin-bottom: 16px;
                                                }

                                                .filter-form-input {
                                                    padding: 0;
                                                    height: initial;
                                                    width: initial;
                                                    margin-bottom: 0;
                                                    display: none;
                                                    cursor: pointer;
                                                    transition: 0.4s ease;

                                                    &:checked {
                                                        + {
                                                            .filter-form-label {
                                                                color: $black;

                                                                &:after {
                                                                    content: '';
                                                                    display: block;
                                                                    position: absolute;
                                                                    top: 4px;
                                                                    left: 8px;
                                                                    width: 4px;
                                                                    height: 9px;
                                                                    border: solid $white;
                                                                    border-width: 0 2px 2px 0;
                                                                    transform: rotate(45deg);
                                                                }

                                                                &:before {
                                                                    border: 1px solid $yellow01;
                                                                    background-color: $yellow01;
                                                                }

                                                            }
                                                        }
                                                    }
                                                }

                                                .filter-form-label {
                                                    @include filterFormLabel;
                                                    position: relative;
                                                    cursor: pointer;
                                                    display: flex;
                                                    align-items: center;
                                                    transition: 0.4s ease;

                                                    &:before {
                                                        transition: 0.4s ease;
                                                        content:'';
                                                        background-color: transparent;
                                                        border: 1px solid $gray04;
                                                        border-radius: 4px;
                                                        padding: 10px;
                                                        display: inline-block;
                                                        position: relative;
                                                        vertical-align: middle;
                                                        cursor: pointer;
                                                        margin-right: 8px;
                                                    }
                                                }
                                            }

                                            .show-more-input {
                                                position: absolute;
                                                opacity: 0;
                                                
                                            }

                                            .show-more-label {
                                                transition: 0.4s ease;
                                                position: relative;
                                                cursor: pointer;
                                                display: flex;
                                                align-items: center;
                                                transition: 0.4s ease;
                                            }

                                            .show-more-input:checked {
                                                + .show-more-label {
                                                    overflow: hidden;
                                                    opacity: 0;
                                                    position: absolute;
                                                } 

                                                ~ .form-group-more {
                                                    overflow: visible;
                                                    opacity: 1;
                                                    position: static;
                                                }
                                            }

                                            .show-more {
                                                @include showMore;
                                            }

                                            .form-group-more {
                                                overflow: hidden;
                                                opacity: 0;
                                                position: absolute;
                                            }
                                        }
                                    }
                                }
                            }

                            .buttons-filer__wrapper {
                                border-top: 1px solid $gray04;
                                padding: 30px;
                                display: flex;
                                flex-direction: column;
                                gap: 20px;

                            }
                        }
                    }
                }
            }

            .section__products {
                @include background-linear-gradient;
            }
        }

        .сard-product__content {
            .card-product__section {
                .card-product__wrapper {
                    background-color: $white;
                    border-radius: 10px;
                    display: flex;

                    .card-product__information {
                        padding: 40px 50px;
                        
                        .card-info__price-formation {
                            position: relative;
                            display: flex;
                            align-items: center;
                            gap: 30px;
                            margin-bottom: 30px;
                            
                            .card-info__price {
                                @include cardInfoPrice; 
                            }
                        }

                        .card-info__interaction {
                            display: flex;
                            gap: 20px;
                            margin-bottom: 30px;
                        }

                        .card-info__description {
                            .description__item {
                                margin-bottom: 20px;

                                .description-item__title {
                                    @include descriptionItemTitle;
                                }
                                
                                .description-item__text {
                                    @include descriptionItemText;
                                }

                                .description-item__characteristics {
                                    .characteristics__wrapper {
                                        display: flex;
                                        justify-content: space-between;
                                        position: relative;

                                        &:before {
                                            position: absolute;
                                            content: '';
                                            height: 1px;
                                            width: 100%;
                                            background-color: #eef1f7;
                                            top: 50%;
                                            transform: translateY(-50%);
                                        }

                                        .characteristics-name {
                                            @include characteristicsName;
                                        }

                                        .characteristics-value {
                                            @include characteristicsValue;
                                        }
                                    }
                                }
                            }
                        }
                    }

                    .card-product__carousel {
                        max-width: 815px;
                        width: 100%;
                        height: auto;
                        padding: 30px;
                        border-right: 1px solid $gray04;

                        .product-carousel {
                            width: 100%;
                            height: 100%;

                            .product-carousel-slide {
                                text-align: center;
                                font-size: 18px;
                                background: #fff;
                                display: -webkit-box;
                                display: -ms-flexbox;
                                display: -webkit-flex;
                                display: flex;
                                -webkit-box-pack: center;
                                -ms-flex-pack: center;
                                -webkit-justify-content: center;
                                justify-content: center;
                                -webkit-box-align: center;
                                -ms-flex-align: center;
                                -webkit-align-items: center;
                                align-items: center;
                            }
                            
                            .product-carousel__image {
                                display: block;
                                width: 100%;  
                            }
                        }
                                             
                        .maxcarouselSlider {
                            width: 100%;
                            height: 380px;   
                        }
                        
                        .minicarouselSlider {
                            height: 20%;
                            box-sizing: border-box;
                            
                            .swiper-slide { 
                                width: 25%;
                                height: 100%;
                                opacity: 0.4;
                            }

                            .swiper-slide-thumb-active {
                                opacity: 1;
                            }
                        }
                    
                        .minicarouse__slider-pagination {
                            @include minicarouseSliderPagination;
        
                            .swiper-pagination-bullet {
                                @include swiperPaginationBullet;
                            }
                            
                            .swiper-pagination-bullet-active {
                                @include swiperPaginationBulletActive; 
                            }
                        }
                    }
                }
            }

            .section__products {
                @include background-linear-gradient;
            }
        }

        .cabinet__content {
            .section__cabinet {

                .cabinet__wrapper__button--active {
                    display: flex;
                }

                .cabinet__wrapper {
                    display: flex;
                    justify-content: space-between;
                    gap: 40px;

                    .cabinet__aside {
                        max-width: 335px;
                        width: 100%;
                        
                        .cabinet__navigation {
                            display: flex;
                            flex-direction: column;
                            
                            margin-bottom: 50px;

                            .tab-active {
                                background-color: $gray02;
                                color: $blueHover;

                                .tab-icon {
                                    path {
                                        fill: $blueHover;
                                    }
                                }
                            }
                        }
                    }

                    .cabinet__aside--hide {
                        display: none;
                    }

                    .cabinet__information {
                        width: 100%;
                        transition: 0.4s ease;

                        .cabinet-data {
                            @include dataBlock;
                            @include dataFormWrapper;
                            
                            .data-item {
                                background-color: $gray03;
                                border-radius: 10px;
                                padding: 20px;

                                .data-item__title {
                                    @include dataItemTitle;
                                }

                                .data-item__value {
                                    @include dataItemValue;
                                }
                            }
                        }

                        .cabinet-change-data {
                            @include dataBlock;

                            .cabinet-form {
                                .data-form__wrapper{
                                    @include dataFormWrapper;

                                    .data-form-item {
                                        @include dataFormItem;

                                        .data__label {
                                            @include DataLabel;
                                        }
        
                                        .data__input {
                                            @include input;
                                            @include DataInput;
                                        }
                                    }
                                }   
                            }
                        }

                        .cabinet-password-mail {
                            @include dataBlock;

                            .cabinet-form {
                                &:not(:last-child) {
                                    margin-bottom: 60px;
                                }

                                .cabinet-form__title {
                                    @include cabinetFormTitle;
                                }

                                .data-form__wrapper{
                                    @include dataFormWrapper;

                                    .data-form-item {
                                        @include dataFormItem;

                                        .data__label {
                                            @include DataLabel;
                                        }
        
                                        .data__input {
                                            @include input;
                                            @include DataInput;
                                        }
                                    }
                                }   
                            }
                        }

                        .cabinet-favorites {
                            .catalog__list {
                                display: grid;
                                grid-template-columns: 1fr 1fr 1fr;
                                gap: 40px;
                            }
                        }

                        .cabinet-documents {
                            background-color: $white;
                            border-radius: 10px;
                            padding: 60px;
                            display: grid;
                            grid-template-columns: 1fr 1fr;
                            gap: 45px;

                            .document-item {
                                display: flex;
                                align-items: center;
                                border: 1px solid $gray04;
                                border-radius: 10px;
                                gap: 20px;
                                padding: 30px 40px 30px 40px;
                                cursor: pointer;
                                transition: 0.4s ease;

                                .document__content {
                                    .document__title {
                                        @include documentTitle;
                                    }

                                    .document__wrapper {
                                        display: flex;
                                        gap: 30px;

                                        .document__info {
                                            display: flex;
                                            gap: 5px;

                                            .document-name {
                                                @include documentName;
                                            }

                                            .document-value {
                                                @include documentValue;
                                            }
                                        }
                                    }
                                }

                                .document__icon {
                                    path {
                                        transition: 0.4s ease;
                                    }
                                }

                                &:hover {
                                    background-color: $blueHover;
                                    border: 1px solid $blueHover;

                                    .document__icon {
                                        path {
                                            fill: $white;
                                        }
                                    }
                                    .document__content  {
                                        .document__title {
                                            color: $white;
                                        }

                                        .document__wrapper {
                                            .document__info {
                                                .document-name  {
                                                    color: $white;
                                                }

                                                .document-value {
                                                    color: $white;
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }

                        .cabinet-block {
                            display: none;
                        }
                        
                        .cabinet-block--active {
                            display: grid;
                        }
                    }

                    .cabinet__information--hide {
                        display: none;
                    }
                }
            }
        }

        .registration__content {
            .section__registration {
                .registration__wrapper {
                    position: relative;
                    background-color: $white;
                    border-radius: 10px;
                    padding: 50px 60px 60px 60px;
                }
            }
        }

        .contacts__content {
            position: relative;

            .section__contacts {
                position: absolute;
                z-index: 1;
                top: 140px;
                left: 55px;
                border-radius: 10px;
                background-color: $white;
                width: 335px;
                margin: 0;
                box-shadow: 0px 0px 20px rgba(64, 75, 95, 0.05), 0px 30px 30px -15px rgba(0, 0, 0, 0.1);

                .contacts-title {
                    padding: 30px;

                    .breadcrumbs {
                        margin-bottom: 15px;
                    }
    
                    .section__title {
                        margin-bottom: 0;
                    }
                }

                .contacts-сities {
                    border-top: 1px solid $gray02;

                    .city__wrapper {
                        padding: 30px;

                        .city__title {
                            @include cityTitle;
                        }

                        .city__list {
                            display: flex;
                            flex-direction: column;
                            align-items: baseline;
                            overflow-y: scroll;
                            height: 160px;
   
                            &::-webkit-scrollbar {
                                width: 6px;
                                border-radius: 2px;
                                background-color: $gray04;
                            }

                            &::-webkit-scrollbar-thumb {
                                border-radius: 2px;
                                background-color: $yellow02;
                            }

                            .city__button {
                                @include cityButton;
                            }

                            .city--active {
                                font-weight: 800;
                                font-size: 16px;
                                color: $blueHover;
                            }
                        }
                    }
                }

                .contacts__content {
                    border-top: 1px solid $gray02;

                    .addresses__block {
                        display: none;
                        padding: 30px;

                        .city__title {
                            @include cityTitle;
                        }

                        .addresses__list {
                            .reference__wrapper {
                                display: flex;
                                align-items: center;
                                gap: 15px;
                                transform: 0.4s ease;
                                cursor: pointer;
                
                                .reference__content {
                                    .reference__title {
                                        @include referenceTitle;
                                    }
                
                                    .reference__text {
                                        @include referenceText;
                                    }
                                }
                
                                &:hover {
                                    .reference__content {
                                        .reference__title {
                                            color: $blueHover;
                                        }
                
                                        .reference__text  {
                                            color: $blueHover;
                                        }
                                    }
                                }
                
                                &:not(:last-child) {
                                    margin-bottom: 10px;
                                }
                            }
                        }
                    }

                    .city--active {
                        display: block;
                    }
                }
            }

            .map {
                margin-bottom: 180px;
                width: 100%; 
                height: 1000px;

                .ymaps-2-1-79-map {
                    top: 40px;

                    .ymaps-2-1-79-map {
                        height: 1000px;
                    }

                    .ymaps-2-1-79-zoom {
                        display: none !important;
                    }

                    .ymaps-2-1-79-controls__toolbar_left {
                        display: none;
                    }
                }
            }
        }
    }
}

.footer {
    background-color: $gray05;

    .footer__navigation {
        display: grid;
        grid-template-columns: repeat(5, auto);
       
        .footer__company {
            .company__logo {
                margin-bottom: 20px;
            }

            .company__text {
                @include companyText;
            }

            .copyright {
                @include copyright;
            }
        }

        .footer__menu {
            display: flex;
            flex-direction: column;
        
            .menu__title {
                @include menuTitle;
            }

            .menu__item {
                @include menuItem;

                &:not(:last-child) {
                    margin-bottom: 10px;
                }
            }
        }

        .footer__reference {
            &:last-child {
                &:hover {
                    color: $blueHover;
                }
            }

            .reference__wrapper {
                display: flex;
                align-items: center;
                gap: 15px;
                transform: 0.4s ease;
                cursor: pointer;

                .reference__content {
                    .reference__title {
                        @include referenceTitle;
                    }

                    .reference__text {
                        @include referenceText;
                    }
                }

                &:hover {
                    .reference__content {
                        .reference__title {
                            color: $blueHover;
                        }

                        .reference__text  {
                            color: $blueHover;
                        }
                    }
                }

                &:not(:last-child) {
                    margin-bottom: 10px;
                }
            }

            .copyright {
                display: none;
                @include copyright;
            }
        }

        .footer__menu__wrapper {
            display: none;
        }
    }

    .footer-mobile__reference {
        display: none;
    }
}

.mobile__navigation {
    display: none;
    background-color: $white;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 5;
    box-shadow: 0px -10px 10px rgba(117, 125, 139, 0.1);

    .mobile-nav__list {
        display: flex;
        justify-content: center;
        
        .mobile-nav__button {
            display: flex;
            flex: 0 0 16.16%;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            border-right: 1px solid $gray04;
            padding-top: 15px;
            padding-bottom: 10px;
            position: relative;

            &:first-child {
                border-left: 1px solid $gray04;
            }

            .quantity-nav {
                @include quantityNav;
                @include mobileQuantityNav;
            }


            .mobile-nav__title {
                @include mobileNavTitle;
            }
        }

        .page--active {
            @include PageActive;
        }

        .mobile-nav__catalog {
            @include mobileNav; 
        }

        .mobile-nav__catalog--active {
            @include mobileNavActive;
        }

        .mobile-nav__menu {
            @include mobileNav; 
        }

        .mobile-nav__menu--active {
            @include mobileNavActive;
        }
    }
}

// modal windows // 

.offer-price__modal {
    max-width: 430px;
    width: 100%;
    position: fixed;
    top: -250%;
    background-color: $white;
    border-radius: 10px;
    padding: 20px 30px;
    z-index: 4;
    box-shadow: 0px 40px 40px -15px rgba(21, 44, 55, 0.15);
    transition: 0.4s ease;
    
    .offer-price__wrapper {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 15px;

        .offer-price__title {
            @include offerPrice;
        }
    }

    .offer-price__form {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 30px;

        .offer__input {
            @include input;
            @include offerInput;
        }
    }

}

.offer-price__modal--show {
    top: 280px;
}

.checkout-modal {
    max-width: 1340px;
    background-color: $white;
    box-shadow: 0px 40px 40px -15px rgba(21, 44, 55, 0.15);
    border-radius: 10px;
    padding: 50px 60px 60px 60px;
    position: fixed;
    width: calc(100% - 160px);
    z-index: 4;
    left: 50%;
    transform: translateX(-50%);
    top: -200%;
    transition: 0.4s ease;

    .checkout__tabs {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 40px;
        
        .checkout__tabs-wrapper {
            display: flex;
            gap: 80px;
        }

        .checkout__tab {
            @include checkoutTab;
        }

        .check-active {
            color: $blueHover;
            border-bottom: none;
        }
    }

    .checkout__content {
        height: 100%;

        .check-content {
            display: none;
        }

        .check-active {
            display: block;
        }
    }
}

.checkout-modal--active {
    top: 10%;
}

.callback__modal {
    width: 410px;
    background-color: $white;
    position: fixed;
    box-shadow: 0px 40px 40px -15px rgba(21, 44, 55, 0.15);
    border-radius: 10px;
    z-index: 4;
    top: -150%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 40px;
    transition: 0.4s ease;

    .callback__modal-top {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 36px;

        .callback-modal__title {
            @include callbackModalTitle;
        }
        
        .callback-modal__close {
            @include offerPriceClose;
        }
    }

    .callback-modal__form {
        display: flex;
        flex-direction: column;
        gap: 30px;

        .callback-modal__input {
            @include input;
            @include callbackModalInput;
        }
    }
}

.callback__modal--active {
    top: 50%;
}

.callback-modal__submitted {
    width: 410px;
    background-color: $white;
    position: fixed;
    box-shadow: 0px 40px 40px -15px rgba(21, 44, 55, 0.15);
    border-radius: 10px;
    z-index: 4;
    left: 50%;
    transform: translate(-50%, -50%);
    top: -150%;
    padding: 40px;
    transition: 0.4s ease;

    .callback-modal-submitted__close {
        @include offerPriceClose;
        position: absolute;
        right: 15px;
        top: 15px;
    }

    .callback-modal__subtitle {
        @include callbackModalSubtitle;
    }

    .callback-modal__text {
        @include callbackModalText;
    }
}

.callback-modal__submitted--active {
    top: 50%;
}

.successfully-modal {
    position: absolute;
    top: 0;
    right: -200%;
    width: 100%;
    max-width: 1460px;
    height: 736px;
    background-color: $white;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    transition: 0.4s ease;

    .successfully-modal__close {
        position: absolute;
        top: 50px;
        right: 50px;
    }
   
    .successfully__wrapper {
       max-width: 610px;

        .successfully__title {
            @include successfullyTitle; 
        }
    
        .successfully__text {
            @include successfullyText;
        }
    }
}

.successfully-modal--show {
    right: 0;
} 

.order-placed-modal {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: 410px;
    width: 100%;
    height: 338px;
    position: fixed;
    top: 50%;
    left: -250%;
    transform: translate(-50%, -50%);
    z-index: 4;
    padding: 40px;
    box-shadow: 0px 5px 10px 2px rgba(34, 60, 80, 0.2);
    background-color: $white;
    transition: 0.4s ease;
    border-radius: 10px;

    .offer-price__close {
        position: absolute;
        right: 15px;
        top: 15px;
    }

    .order-placed__title {
        @include orderPlacedTitle;
    }

    .order-placed__text {
        @include orderPlacedText;
    }
}

.order-placed-modal--show {
    left: 50%;
}
